<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: llg/mytscreatepvode.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_ad11b878d2835527517911859427b54f.html">llg</a>
  </div>
</div>
<div class="contents">
<h1>mytscreatepvode.c File Reference</h1><code>#include &quot;<a class="el" href="llg_8h_source.html">llg.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for mytscreatepvode.c:</div>
<div class="dynsection">
<div class="center"><img src="mytscreatepvode_8c__incl.png" border="0" usemap="#llg_2mytscreatepvode_8c_map" alt=""/></div>
<map name="llg_2mytscreatepvode_8c_map" id="llg_2mytscreatepvode_8c">
<area shape="rect" id="node3" href="llg_8h.html" title="llg.h" alt="" coords="139,86,184,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="208,86,277,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="mytscreatepvode_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a">PVodeInit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da">PVodeReInit</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3">myTSCreatePVode</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mytscreatepvode_8c.html#a809fb699daf418600ff788f3826954c9">cvode_mem</a> = PETSC_NULL</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">N_Vector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mytscreatepvode_8c.html#a293e1df257c757d729d4b0200626e31a">nvu</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">realtype&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mytscreatepvode_8c.html#aec51da788a337a7317e3b25e8a634716">abstol</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">realtype&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mytscreatepvode_8c.html#a29c891f86d4e498ef78fe8d82ac95ea6">reltol</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a9671ea286af405e584ae7468a0ce15b3"></a><!-- doxytag: member="mytscreatepvode.c::myTSCreatePVode" ref="a9671ea286af405e584ae7468a0ce15b3" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int myTSCreatePVode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00308">308</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>References <a class="el" href="mytscreatepvode_8c_source.html#l00039">abstol</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00037">cvode_mem</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00038">nvu</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="mytscreatepvode_8c_source.html#l00040">reltol</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_cgraph.png" border="0" usemap="#mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_cgraph_map" alt=""></div>
<map name="mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_cgraph_map" id="mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_cgraph">
<area shape="rect" id="node3" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="184,687,261,718"/><area shape="rect" id="node5" href="precond_8c.html#a2a797df3786fb3caa3a618c1a39d2cc9" title="Jtimes" alt="" coords="327,582,388,613"/><area shape="rect" id="node7" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="460,739,529,770"/><area shape="rect" id="node103" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="811,687,904,718"/><area shape="rect" id="node107" href="precond_8c.html#a26a82305d86917d32992af0031acd675" title="PSolve" alt="" coords="325,790,389,821"/><area shape="rect" id="node109" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="311,635,404,666"/><area shape="rect" id="node9" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="585,554,631,585"/><area shape="rect" id="node99" href="llg_8h.html#a35010647607c93a40bdab3e86041714f" title="myLLGJacobian" alt="" coords="961,797,1076,827"/><area shape="rect" id="node11" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="688,581,749,611"/><area shape="rect" id="node15" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="684,634,753,665"/><area shape="rect" id="node49" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="684,467,753,498"/><area shape="rect" id="node55" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="681,527,756,558"/><area shape="rect" id="node62" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="680,271,757,302"/><area shape="rect" id="node97" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="684,218,753,249"/><area shape="rect" id="node13" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="815,581,900,611"/><area shape="rect" id="node17" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="811,634,904,665"/><area shape="rect" id="node19" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="985,743,1052,774"/><area shape="rect" id="node25" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="1143,585,1249,615"/><area shape="rect" id="node32" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="1149,691,1243,722"/><area shape="rect" id="node39" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="972,639,1065,670"/><area shape="rect" id="node45" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="988,535,1049,566"/><area shape="rect" id="node21" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="1344,899,1392,930"/><area shape="rect" id="node34" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="1160,795,1232,826"/><area shape="rect" id="node23" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1473,926,1585,957"/><area shape="rect" id="node27" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1472,637,1587,667"/><area shape="rect" id="node29" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="1321,585,1415,615"/><area shape="rect" id="node36" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="1327,953,1409,983"/><area shape="rect" id="node41" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="1145,638,1247,669"/><area shape="rect" id="node47" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="1169,531,1223,562"/><area shape="rect" id="node51" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="811,455,904,486"/><area shape="rect" id="node53" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="980,431,1057,462"/><area shape="rect" id="node57" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="807,527,908,558"/><area shape="rect" id="node64" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="823,111,892,142"/><area shape="rect" id="node68" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="823,218,892,249"/><area shape="rect" id="node84" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="823,31,892,62"/><area shape="rect" id="node88" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="823,325,892,355"/><area shape="rect" id="node95" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="807,271,908,302"/><area shape="rect" id="node66" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="972,58,1065,89"/><area shape="rect" id="node70" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="985,165,1052,195"/><area shape="rect" id="node72" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="959,218,1079,249"/><area shape="rect" id="node74" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="972,111,1065,142"/><area shape="rect" id="node82" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="976,271,1061,302"/><area shape="rect" id="node76" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="1129,85,1263,115"/><area shape="rect" id="node80" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="1140,138,1252,169"/><area shape="rect" id="node78" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="1313,85,1423,115"/><area shape="rect" id="node86" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="972,5,1065,35"/><area shape="rect" id="node90" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="989,325,1048,355"/><area shape="rect" id="node92" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="972,378,1065,409"/><area shape="rect" id="node111" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="453,594,536,625"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_icgraph.png" border="0" usemap="#mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_icgraph_map" alt=""></div>
<map name="mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_icgraph_map" id="mytscreatepvode_8c_a9671ea286af405e584ae7468a0ce15b3_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="184,5,243,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="291,5,341,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a56b55de0386618edfef4220e5b7b078a"></a><!-- doxytag: member="mytscreatepvode.c::PVodeInit" ref="a56b55de0386618edfef4220e5b7b078a" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PVodeInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><p>&lt; maximum Krylov dimension </p>
</p>

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00042">42</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>References <a class="el" href="mytscreatepvode_8c_source.html#l00039">abstol</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00037">cvode_mem</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="precond_8c_source.html#l00436">Jtimes()</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00038">nvu</a>, <a class="el" href="precond_8c_source.html#l00327">Precond()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="precond_8c_source.html#l00374">PSolve()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00040">reltol</a>, <a class="el" href="rhsfunction_8c_source.html#l00031">RHSfunction()</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>, and <a class="el" href="griddata_8h_source.html#l00248">GridData::VHdem</a>.</p>

<p>Referenced by <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_cgraph.png" border="0" usemap="#mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_cgraph_map" alt=""></div>
<map name="mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_cgraph_map" id="mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_cgraph">
<area shape="rect" id="node3" href="precond_8c.html#a2a797df3786fb3caa3a618c1a39d2cc9" title="Jtimes" alt="" coords="148,241,209,271"/><area shape="rect" id="node5" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="281,345,351,375"/><area shape="rect" id="node103" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="632,291,725,322"/><area shape="rect" id="node107" href="precond_8c.html#a26a82305d86917d32992af0031acd675" title="PSolve" alt="" coords="147,449,211,479"/><area shape="rect" id="node109" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="132,395,225,426"/><area shape="rect" id="node7" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="407,435,452,466"/><area shape="rect" id="node99" href="llg_8h.html#a35010647607c93a40bdab3e86041714f" title="myLLGJacobian" alt="" coords="783,317,897,347"/><area shape="rect" id="node9" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="509,502,571,533"/><area shape="rect" id="node13" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="505,395,575,426"/><area shape="rect" id="node47" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="505,690,575,721"/><area shape="rect" id="node53" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="503,162,577,193"/><area shape="rect" id="node60" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="501,449,579,479"/><area shape="rect" id="node97" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="505,555,575,586"/><area shape="rect" id="node11" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="636,703,721,734"/><area shape="rect" id="node15" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="632,187,725,218"/><area shape="rect" id="node17" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="807,213,873,243"/><area shape="rect" id="node23" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="964,159,1071,190"/><area shape="rect" id="node30" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="971,317,1064,347"/><area shape="rect" id="node37" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="793,109,887,139"/><area shape="rect" id="node43" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="809,5,871,35"/><area shape="rect" id="node19" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="1165,421,1213,451"/><area shape="rect" id="node32" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="981,213,1053,243"/><area shape="rect" id="node21" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1295,355,1407,386"/><area shape="rect" id="node25" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1293,211,1408,242"/><area shape="rect" id="node27" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="1143,159,1236,190"/><area shape="rect" id="node34" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="1148,290,1231,321"/><area shape="rect" id="node39" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="967,106,1068,137"/><area shape="rect" id="node45" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="991,5,1044,35"/><area shape="rect" id="node49" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="632,757,725,787"/><area shape="rect" id="node51" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="801,797,879,827"/><area shape="rect" id="node55" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="628,83,729,114"/><area shape="rect" id="node62" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="644,449,713,479"/><area shape="rect" id="node66" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="644,503,713,534"/><area shape="rect" id="node84" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="644,395,713,426"/><area shape="rect" id="node88" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="644,650,713,681"/><area shape="rect" id="node95" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="628,557,729,587"/><area shape="rect" id="node64" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="793,423,887,454"/><area shape="rect" id="node68" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="807,530,873,561"/><area shape="rect" id="node70" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="780,583,900,614"/><area shape="rect" id="node72" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="793,637,887,667"/><area shape="rect" id="node82" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="797,477,883,507"/><area shape="rect" id="node74" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="951,610,1084,641"/><area shape="rect" id="node78" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="961,663,1073,694"/><area shape="rect" id="node76" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="1135,610,1244,641"/><area shape="rect" id="node80" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="1160,663,1219,694"/><area shape="rect" id="node86" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="793,370,887,401"/><area shape="rect" id="node90" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="811,690,869,721"/><area shape="rect" id="node92" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="793,743,887,774"/><area shape="rect" id="node111" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="275,423,357,454"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_icgraph.png" border="0" usemap="#mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_icgraph_map" alt=""></div>
<map name="mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_icgraph_map" id="mytscreatepvode_8c_a56b55de0386618edfef4220e5b7b078a_icgraph">
<area shape="rect" id="node3" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="131,5,261,35"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="309,5,368,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="416,5,467,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a4ca0e9d74cde3d8e01ad9701426444da"></a><!-- doxytag: member="mytscreatepvode.c::PVodeReInit" ref="a4ca0e9d74cde3d8e01ad9701426444da" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PVodeReInit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00237">237</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>References <a class="el" href="mytscreatepvode_8c_source.html#l00039">abstol</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00037">cvode_mem</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00038">nvu</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00040">reltol</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="rhsfunction_8c_source.html#l00031">RHSfunction()</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, and <a class="el" href="griddata_8h_source.html#l00150">GridData::tscale</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, and <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_cgraph.png" border="0" usemap="#mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_cgraph_map" alt=""></div>
<map name="mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_cgraph_map" id="mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_cgraph">
<area shape="rect" id="node3" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="151,185,239,215"/><area shape="rect" id="node5" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="148,238,241,269"/><area shape="rect" id="node7" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="291,238,373,269"/><area shape="rect" id="node9" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="423,238,468,269"/><area shape="rect" id="node11" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="525,105,587,135"/><area shape="rect" id="node15" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="521,211,591,242"/><area shape="rect" id="node49" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="521,158,591,189"/><area shape="rect" id="node55" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="519,265,593,295"/><area shape="rect" id="node62" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="517,530,595,561"/><area shape="rect" id="node99" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="521,583,591,614"/><area shape="rect" id="node13" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="652,105,737,135"/><area shape="rect" id="node17" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="648,211,741,242"/><area shape="rect" id="node19" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="823,159,889,190"/><area shape="rect" id="node25" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="980,55,1087,86"/><area shape="rect" id="node32" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="987,213,1080,243"/><area shape="rect" id="node39" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="809,263,903,294"/><area shape="rect" id="node45" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="825,317,887,347"/><area shape="rect" id="node21" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="1181,162,1229,193"/><area shape="rect" id="node34" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="997,109,1069,139"/><area shape="rect" id="node23" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1311,122,1423,153"/><area shape="rect" id="node27" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1309,42,1424,73"/><area shape="rect" id="node29" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="1159,55,1252,86"/><area shape="rect" id="node36" href="solidangle_8c.html#a1e2c6c7a1101373c5702b927ca66405f" title="SolidAngle" alt="" coords="1164,109,1247,139"/><area shape="rect" id="node41" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="983,266,1084,297"/><area shape="rect" id="node47" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="1007,319,1060,350"/><area shape="rect" id="node51" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="648,158,741,189"/><area shape="rect" id="node53" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="817,5,895,35"/><area shape="rect" id="node57" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="644,265,745,295"/><area shape="rect" id="node64" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="660,717,729,747"/><area shape="rect" id="node68" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="660,530,729,561"/><area shape="rect" id="node86" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="660,583,729,614"/><area shape="rect" id="node90" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="660,423,729,454"/><area shape="rect" id="node97" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="644,637,745,667"/><area shape="rect" id="node66" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="809,743,903,774"/><area shape="rect" id="node70" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="823,583,889,614"/><area shape="rect" id="node72" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="796,477,916,507"/><area shape="rect" id="node74" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="809,637,903,667"/><area shape="rect" id="node84" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="813,530,899,561"/><area shape="rect" id="node76" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="967,610,1100,641"/><area shape="rect" id="node80" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="977,663,1089,694"/><area shape="rect" id="node78" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c" title="read_hstep_file" alt="" coords="1151,610,1260,641"/><area shape="rect" id="node82" href="ipol_8c.html#a7c6add33a29c7ae759615a08798ee75d" title="readht" alt="" coords="1176,663,1235,694"/><area shape="rect" id="node88" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="809,690,903,721"/><area shape="rect" id="node92" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="827,423,885,454"/><area shape="rect" id="node94" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="809,370,903,401"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_icgraph.png" border="0" usemap="#mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_icgraph_map" alt=""></div>
<map name="mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_icgraph_map" id="mytscreatepvode_8c_a4ca0e9d74cde3d8e01ad9701426444da_icgraph">
<area shape="rect" id="node3" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="147,5,200,35"/><area shape="rect" id="node5" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="249,31,377,62"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="427,5,485,35"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="429,58,483,89"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="533,31,584,62"/></map>
</div>
</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="aec51da788a337a7317e3b25e8a634716"></a><!-- doxytag: member="mytscreatepvode.c::abstol" ref="aec51da788a337a7317e3b25e8a634716" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">realtype <a class="el" href="mytscreatepvode_8c.html#aec51da788a337a7317e3b25e8a634716">abstol</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00039">39</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a809fb699daf418600ff788f3826954c9"></a><!-- doxytag: member="mytscreatepvode.c::cvode_mem" ref="a809fb699daf418600ff788f3826954c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="mytscreatepvode_8c.html#a809fb699daf418600ff788f3826954c9">cvode_mem</a> = PETSC_NULL</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00037">37</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="mytssteppvode_8c_source.html#l00029">myTSStepPVode()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, and <a class="el" href="writelog__pvode_8c_source.html#l00120">WriteLogPVode()</a>.</p>

</div>
</div>
<a class="anchor" id="a293e1df257c757d729d4b0200626e31a"></a><!-- doxytag: member="mytscreatepvode.c::nvu" ref="a293e1df257c757d729d4b0200626e31a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">N_Vector <a class="el" href="mytscreatepvode_8c.html#a293e1df257c757d729d4b0200626e31a">nvu</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00038">38</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>Referenced by <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="mytssteppvode_8c_source.html#l00029">myTSStepPVode()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a29c891f86d4e498ef78fe8d82ac95ea6"></a><!-- doxytag: member="mytscreatepvode.c::reltol" ref="a29c891f86d4e498ef78fe8d82ac95ea6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">realtype <a class="el" href="mytscreatepvode_8c.html#a29c891f86d4e498ef78fe8d82ac95ea6">reltol</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>absolute and relative accuracy </p>

<p>Definition at line <a class="el" href="mytscreatepvode_8c_source.html#l00040">40</a> of file <a class="el" href="mytscreatepvode_8c_source.html">mytscreatepvode.c</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, and <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

